<?php

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Outcome extends Eloquent
{
	use SoftDeletingTrait;
	protected $dates = ['deleted_at'];

	protected $fillable= array('name', 'definition');

	public function criteria()
	{
	   return $this->hasManyThrough('Criterion', 'Objective')->orderBy('name');
	}

	/**
	 * Return the objectives that the outcome belongs to
	 *
	 * @return Illuminate\Database\Eloquent\Model
	 */
	public function objectives()
	{
	    return $this->hasMany('Objective');
//		return $this->belongsToMany('Objective', 'objective_outcome');
	}
}
